import request from '@/utils/request'

// 查询考勤配置列表
export function listAttendance_cfg(query) {
  return request({
    url: '/manage/attendance_cfg/list',
    method: 'get',
    params: query
  })
}

// 查询考勤配置详细
export function getAttendance_cfg(id) {
  return request({
    url: '/manage/attendance_cfg/' + id,
    method: 'get'
  })
}

// 新增考勤配置
export function addAttendance_cfg(data) {
  return request({
    url: '/manage/attendance_cfg',
    method: 'post',
    data: data
  })
}

// 修改考勤配置
export function updateAttendance_cfg(data) {
  return request({
    url: '/manage/attendance_cfg',
    method: 'put',
    data: data
  })
}

// 删除考勤配置
export function delAttendance_cfg(id) {
  return request({
    url: '/manage/attendance_cfg/' + id,
    method: 'delete'
  })
}
